#/bin/sh
DISKS=`cat /proc/partitions |grep sd| awk '{print $4}'|egrep -v 1\|2\|3\|4\|5\|6\|7\|8\|9` 


query_smartd ()
{
	/usr/bin/sudo /usr/sbin/smartctl -A $1 | /bin/egrep "194 Temperature_Celsius" | /usr/bin/awk '{print $10}'
}

case "$1" in
  index)
	for x in $DISKS
	do
		echo "/dev/$x"
	done
	;;
  query)
	if [ ! -z $2 ]; then
		NL="-n"
	fi

	for y in $DISKS
	do
		y=/dev/$y
		echo $NL $y:
		case "$2" in
			device)
				echo $y
				;;
			temp)
				query_smartd $y
				;;
		esac
	done
	      
	;;

  get)
	if [ ! -z $2 ]; then
		if [ ! -z $3 ]; then
			case "$2" in
				device)
					echo $3
					;;
				temp)
					query_smartd $3
					;;
			esac
		fi
	fi
	;;

esac

